Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.campaign.mbeans
Interface CampaignServiceMBean

All Superinterfaces:
  ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, ServiceConfigurationMBean, WebLogicMBean

public interface CampaignServiceMBean
extends ServiceConfigurationMBean

CampaignService configuration management bean interface.

This expects to have 2 children: a `CampaignEventListenerMBean` and a `MailActionMBean`.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`String` | `getEmailBrowseBaseDir()` Get the per-webApp base directory for campaign email browsing.
`String[]` | `getEmailURIExtensions()` Get the list of email uri extensions.
`long` | `getGoalCheckTime()` Get the goal check time in milliseconds.
`int` | `getMaxURILength()` Get the maximum length of a deployable campaign URI.
`void` | `setEmailBrowseBaseDir(String base)` Get the per-webApp base directory for campaign email browsing.
`void` | `setEmailURIExtensions(String[] exts)` Get the list of email uri extensions.
`void` | `setGoalCheckTime(long time)` Set the goal check time in milliseconds.
`void` | `setMaxURILength(int max)` Set the maximum length of a deployable campaign URI.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getEmailBrowseBaseDir

    public String getEmailBrowseBaseDir()

  Get the per-webApp base directory for campaign email browsing.

  MBean Attribute Default Value:
    "campaigns/emails"

### getEmailURIExtensions

    public String[] getEmailURIExtensions()

  Get the list of email uri extensions.

### getGoalCheckTime

    public long getGoalCheckTime()

  Get the goal check time in milliseconds.

  MBean Attribute Old Property Name:
    campaign.goals.checkTime

### getMaxURILength

    public int getMaxURILength()

  Get the maximum length of a deployable campaign URI.

  MBean Attribute Default Value:
    254

### setEmailBrowseBaseDir

    public void setEmailBrowseBaseDir(String base)

  Get the per-webApp base directory for campaign email browsing.

  MBean Dynamic Method

### setEmailURIExtensions

    public void setEmailURIExtensions(String[] exts)

  Get the list of email uri extensions.

  MBean Dynamic Method
  MBean Attribute Legal Null:
    false

### setGoalCheckTime

    public void setGoalCheckTime(long time)

  Set the goal check time in milliseconds.

  MBean Dynamic Method
  MBean Attribute Old Property Name:
    campaign.goals.checkTime

### setMaxURILength

    public void setMaxURILength(int max)

  Set the maximum length of a deployable campaign URI.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved